Subject: Re: Credentials and the Secrets API...

From: Ted Zlatanov <[email-masked]>
Date: Thu, 07 Feb 2013 09:46:05 -0500

On Thu, 27 Oct 2011 12:05:03 -0400 John Szakmeister <[email-masked]> wrote: 

JS> Just wanted to keep folks in the loop.  It turns out that the Secrets
JS> API is still to young.  I asked about the format to store credentials
JS> in (as far as attributes), and got a response from a KDE developer
JS> that says it's still to young on their front.  They hope to have
JS> support in the next release of KDE.  But there's still the issue of
JS> what attributes to use.

JS> With that information, I went ahead and created a
JS> gnome-credential-keyring that uses Gnome's Keyring facility.  I still
JS> need to do a few more things (mainly run it against Jeff's tests), but
JS> it's generally working.  Just wanted to keep folks in the loop.
JS> Hopefully, I can get patches out this weekend.

Do you think the Secrets API has matured enough?  KDE has had a new
release since your post...

Thanks
Ted